import request from '@/utils/request'

export function listAdmin(query) {
  return request({
    url: '/admin/list',
    method: 'get',
    params: query
  })
}

export function createAdmin(data) {
  return request({
    url: '/admin/create',
    method: 'post',
    data
  })
}

export function readminAdmin(data) {
  return request({
    url: '/admin/read',
    method: 'get',
    data
  })
}

export function updateAdmin(data) {
  return request({
    url: '/admin/update',
    method: 'post',
    data
  })
}

export function deleteAdmin(data) {
  return request({
    url: '/admin/delete',
    method: 'post',
    data
  })
}
export function getFraCharge(query) {
  return request({
    url: '/admin/getFraCharge',
    method: 'get',
    params: query
  })
}


export function readUserCitys(id) {
  return request({
    url: '/admin/userCitys',
    method: 'get', 
    params: { id }
  })
}

export function listButler(query) {
  return request({
    url: '/sysbutler/butlerlist',
    method: 'get',
    params: query
  })
}

export function getJzmallCustomer(query) {
  return request({
    url: '/sysbutler/getJzmallCustomer',
    method: 'get',
    params: query
  })
}
export function getbtCustomer(query) {
  return request({
    url: '/sysbutler/getbtCustomer',
    method: 'get',
    params: query
  })
}

export function updateBtCustomer(data) {
  return request({
    url: '/sysbutler/updateBtCustomer',
    method: 'post',
    data
  })
}
export function managerPersonList(query) {
  return request({
    url: '/managerPerson/list',
    method: 'get',
    params: query
  })
}
export function managerPersonState(query) {
  return request({
    url: '/managerPerson/state',
    method: 'get',
    params: query
  })
}
export function getUserCity(query) {
  return request({
    url: '/city/getUserCity',
    method: 'get',
    params: query
  })
}
export function setUserCity(data) {
  return request({
    url: '/city/setUserCity',
    method: 'post',
    data
  })
}